xine-lib: Data Fields - Variables

xine-lib 1.2.12

### - s -

- s : mms_s, mmsh_s, mmx_t, pnm_s, properties_t, pulldown_metrics_s, rtsp_s, rtsp_session_s, xine_stream_private_st
- same_dir : xine_sarray_s
- sample_count : demux_film_t
- sample_counter : demux_eawve_t, post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_oscope_s
- sample_number : flac_seekpoint_t
- sample_offset : film_sample_t
- sample_rate : ao_file_driver_s, ao_none_driver_s, AudioTrack, coreaudio_driver_s, demux_ac3_t, demux_dts_t, demux_film_t, demux_flac_s, demux_flac_t, fooaudio_decoder_s, gsm610_decoder_s, mpc_decoder_s, nsf_decoder_s, opensles_driver_s, post_plugin_goom_s, properties_t, pulse_driver_s, wavpack_decoder_t
- sample_rate_factor : alsa_driver_s, esd_driver_s, sun_driver_s
- sample_size : film_sample_t, qt_trak, realdec_decoder_s
- sample_size_bytes : qt_trak
- sample_size_count : qt_trak
- sample_size_shift : qt_trak
- sample_size_table : qt_trak
- sample_table : demux_film_t
- sample_to_chunk_count : qt_trak
- sample_to_chunk_table : qt_trak
- sampleCount : SoundComponentData
- samplerate : bebf_latm_t, demux_flv_t, demux_mpc_t, demux_tta_t, demux_wv_t, mpd_stream_info_t, ra_init_t
- sampleRate : SoundComponentData
- samplerate : xine_flac_streaminfo_block
- samplerate2 : bebf_latm_t
- samplerate_index : bebf_latm_t
- samplerate_index2 : bebf_latm_t
- samples : _SOUND_INFO, bebf_latm_t, demux_wv_t, metronom_impl_t, qt_trak
- samples_count : wvheader_t
- samples_index : wvheader_t
- samples_per_chunk : sample_to_chunk_table_t
- samples_per_frame : demux_dts_t, post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, post_plugin_tdaan_t, properties_t
- samples_per_packet : properties_t
- samplesize : demux_flv_t
- sampleSize : SoundComponentData
- samplesPerHiCycle : Voice8Header
- samplesPerSec : Voice8Header
- sampling_freq : matroska_audio_track_t
- sar : DVprofile
- sar_height : seq_parameter_set_rbsp, vdec_hw_h264_vui_t
- sar_width : seq_parameter_set_rbsp, vdec_hw_h264_vui_t
- sat_no : channel_t
- saturation : em8300_bcs_t, eq2_parameters_s, opengl2_driver_t, opengl_driver_t, pgx64_driver_t, vaapi_equalizer, vdpau_driver_t, vf_priv_s, xshm_driver_t
- save_name : pvr_input_plugin_t
- save_page : pvr_input_plugin_t
- save_path : xine_s
- save_prefix : pvr_input_plugin_t
- saved_aspect_ratio : picture_s
- saved_bufs : dvd_input_plugin_s
- saved_free : dvd_input_plugin_s
- saved_id : pvr_input_plugin_t
- saved_shows : pvr_input_plugin_t
- saved_size : dvd_input_plugin_s
- saved_used : dvd_input_plugin_s
- savepos : rip_input_plugin_s
- sbr : bebf_latm_t, faad_decoder_s
- sbuf : http_input_plugin_t
- sbuf_pad : http_input_plugin_t
- sc : directfb_driver_s, fb_driver_s, fb_frame_s
- SC : FilterParam
- sc : opengl2_driver_t, opengl_driver_t, sdl_driver_s, stk_driver_s, vaapi_driver_s, vdpau_driver_t, vidix_driver_s, x11osd, xcbosd, xshm_driver_t, xshm_frame_t, xv_driver_s, xxmc_driver_s
- scale : dxr3_driver_s, opengl2_driver_t
- scale_line : yuv2rgb_impl_s
- scaled : mpeg2dec_s
- scaled_osd_active : xxmc_driver_s
- scaling_disabled : vo_scale_s
- scaling_level : vaapi_driver_s
- scaling_level_current : vdpau_driver_t
- scaling_level_enum : vaapi_driver_s
- scaling_level_max : vdpau_driver_t
- scaling_lists_4x4 : pic_parameter_set_rbsp, seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t, vdec_hw_h264_sps_t
- scaling_lists_8x8 : pic_parameter_set_rbsp, seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t, vdec_hw_h264_sps_t
- scan : mpeg2_decoder_s, picture_s, xine_vld_frame_s
- scan_here : xine_fast_text_s
- scanline_pad : xshm_driver_t
- scanlinemode : deinterlace_method_s
- scanning : dxr3_scr_s
- scheduled : rtsp_s
- schunkleft : http_input_plugin_t
- scmd : mms_s
- scmd_body : mms_s
- scmd_len : mms_s
- sCompression : Voice8Header
- scp_channel : ssh_input_plugin_t
- scr : demux_mpeg_block_s, demux_mpeg_pes_s, dxr3_decoder_s, dxr3_driver_s, pvr_input_plugin_t, pvrscr_s, stretchscr_s, unixscr_t, v4l_input_plugin_t
- scr_plugin : dxr3_scr_s
- scr_tuning : v4l_input_plugin_t
- scr_tunning : pvr_input_plugin_t
- scrambled_npids : demux_ts_t
- scrambled_pids : demux_ts_t
- scratch : demux_slave_t, mms_input_plugin_t, pnm_input_plugin_t, rtsp_input_plugin_t
- scratch1 : w32v_decoder_s
- scratch_used : demux_slave_t
- screen : _PLUGIN_INFO, opengl_driver_t, pgx32_driver_t, pgx64_driver_t, vaapi_driver_s, vdpau_driver_t, x11_visual_t, x11osd, xcb_visual_t, xcbosd, xine_glx_t, xshm_driver_t, xv_driver_s, xxmc_driver_s
- screen_depth : dxr3_overlay_s
- screen_height : directfb_driver_s
- screen_width : directfb_driver_s
- screen_xres : dxr3_overlay_s
- screen_yres : dxr3_overlay_s
- screenX : _GMLINE
- screenY : _GMLINE
- sd_only_properties : vdpau_driver_t
- sdelivered : http_input_plugin_t
- sdlflags : sdl_driver_s
- second_chroma_qp_index_offset : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- second_field : mpeg2_decoder_s, picture_s, xine_vld_frame_s
- secondary : win32_driver_t
- seconds : CcrtChunk, mpeg2_gop_s
- seconds_value : sei_message
- sectFilterParams : tuner_t
- seek : demux_plugin_s, input_plugin_s, mad_decoder_s, metronom_impl_t, vdpau_h264_alter_decoder_t, vdr_metronom_t
- seek_buf : vdr_input_plugin_s
- seek_call : cache_input_plugin_t
- seek_count : extra_info_s
- seek_count1 : aos_t
- seek_count2 : aos_t
- seek_count3 : aos_t
- seek_count_n : aos_t
- seek_flag : avformat_demux_plugin_t, demux_aac_t, demux_ac3_t, demux_aiff_t, demux_cdda_t, demux_dts_t, demux_flac_s, demux_flac_t, demux_ivf_t, demux_mod_t, demux_mve_t, demux_ra_t, demux_snd_t, demux_str_t, demux_voc_t, demux_wav_t, demux_yuv4mpeg2_t, demux_yuv_frames_s, qt_info
- seek_mode : mpeg2dec_s
- seek_request : demux_avi_s
- seek_start_pos : demux_avi_s
- seek_start_time : demux_avi_s
- seek_time : input_plugin_s
- seekable : dvd_input_plugin_s, xine_stream_private_st
- seekable_flag : asf_file_s, asf_stream_extension_s
- seekhead_handled : demux_matroska_t
- seekpoint_count : demux_flac_t
- seekpoints : demux_flac_t
- seektable : demux_tta_t
- seen_streams : demux_asf_s
- seg_base_url : mpd_input_plugin_s
- segment : demux_matroska_t, vcdplayer_s
- segment_data : segment_buffer_t
- segment_end : segment_buffer_t
- segment_len : segment_buffer_t
- segment_type : segment_buffer_t
- segments : spuhdmv_decoder_s, transform_in_s
- sei : nal_unit
- sei_nal : coded_picture
- select : switch_parameter_s, xine_event_queue_private_s
- send_chunk : demux_plugin_s
- send_duration : asf_file_s
- send_headers : demux_plugin_s
- send_newpts : avformat_demux_plugin_t, demux_asf_s, demux_avi_s, demux_cdda_t, demux_flv_t, demux_matroska_t, demux_mpeg_block_s, demux_mpeg_pes_s, demux_mpeg_s, demux_ogg_s, demux_pva_t, demux_real_t, demux_slave_t, demux_ts_t, demux_wav_t
- separate_colour_plane_flag : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- seq : asf_demux_stream_t
- seq_current : pnm_s
- seq_len : spudec_seq_t
- seq_num : mms_s, mmsh_s, pnm_s
- seq_parameter_set_id : pic_parameter_set_rbsp, seq_parameter_set_rbsp
- seq_pts : sequence_t
- seq_scaling_list_present_flag : seq_parameter_set_rbsp
- seq_scaling_matrix_present_flag : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- seqno : demux_asf_s
- sequence : mpeg2_info_s, mpeg2dec_s, vdpau_mpeg12_decoder_s, vdpau_mpeg4_decoder_s, vdpau_vc1_decoder_s
- sequence_open : dxr3_decoder_s
- server : rtsp_s
- server_caps : rtsp_s
- server_sample_rate : esd_driver_s
- service_id : channel_t
- session : pvr_input_plugin_t, rtsp_s, ssh_input_plugin_t, tls_gnutls_t
- session_id : xine_set_v4l2_data_t
- set_argb_buffer : osd_renderer_s
- set_aspect_ratio : vcdplayer_s
- set_audio_rate : metronom_s
- set_button : spu_decoder_s
- set_csc_levels : yuv2rgb_factory_s
- set_encoding : osd_renderer_s
- set_extent : osd_renderer_s
- set_fbuf : vo_instance_s
- set_fine_speed : scr_plugin_s
- set_font : osd_renderer_s
- set_master : metronom_s
- set_native_window : xine_gl
- set_new_entry_callback : config_values_s
- set_option : metronom_clock_s, metronom_s
- set_palette : osd_renderer_s
- set_parameters : xine_post_api_t
- set_position : osd_renderer_s
- set_property : ao_driver_s, vo_driver_s, xine_audio_port_s, xine_video_port_s
- set_stream_info : ff_video_decoder_s
- set_text_palette : osd_renderer_s
- set_video_window : osd_renderer_s
- SetActualDataLength : IMediaSample_vt
- SetDiscontinuity : IMediaSample_vt
- SetFramePointer : _COutputPin
- SetFrameSizePointer : _COutputPin
- SetInputMaxLatency : IMediaObject_vt
- SetInputType : IMediaObject_vt
- SetLength : IMediaBuffer_vt
- SetMediaTime : IMediaSample_vt
- SetMediaType : IMediaSample_vt
- SetNewFormat : _COutputPin
- SetNow : IDMOQualityControl_vt
- SetOperationMode : IDMOVideoOutputOptimizations_vt
- SetOutputType : IMediaObject_vt
- SetPointer : _CMediaSample, _MemAllocator
- SetPointer2 : _COutputPin
- SetPreroll : IMediaSample_vt
- SetProperties : IMemAllocator_vt
- SetSmth : IHidden_vt
- SetSmth2 : IHidden_vt
- SetSmth3 : IHidden_vt
- SetSmth4 : IHidden_vt
- SetSmth5 : IHidden_vt
- SetStatus : IDMOQualityControl_vt
- SetSyncPoint : IMediaSample_vt
- SetSyncSource : IBaseFilter_vt
- SetTime : IMediaSample_vt
- settings : demux_mod_t
- setup : opengl_render_t, vo_instance_s
- setup_fbuf : vo_instance_s
- sfile : mpd_stream_info_t
- sftp_handle : ssh_input_plugin_t
- sftp_session : ssh_input_plugin_t
- sgot : http_input_plugin_t
- shader : opengl2_program_t
- shaped : x11osd, xcbosd
- sharp : opengl2_driver_t
- sharpness : vdpau_driver_t
- sharpness_is_supported : vdpau_driver_t
- shift : mpeg2dec_s, mpeg_parser_s
- shiftptr : noise_param_t
- shminfo : xshm_frame_t, xv_frame_t, xxmc_frame_t
- shmseg : xshm_frame_t, xv_frame_t
- short_name : deinterlace_method_s
- shot_offsets : demux_mve_t
- shoutcast_interval : http_input_plugin_t
- shoutcast_left : http_input_plugin_t
- shoutcast_songtitle : http_input_plugin_t
- show : dvb_spu_decoder_s, osd_renderer_s
- show_page : pvr_input_plugin_t
- show_rejected : vcd_input_class_s, vcdplayer_s
- show_time : pvr_input_plugin_t
- show_unscaled : osd_renderer_s
- showing : video_overlay_s
- showing_changed : video_overlay_s
- showing_mutex : video_overlay_s
- shown : composition_object_s, presentation_segment_s, subtitle_clut_s, subtitle_object_s, window_def_s
- shrink : dxr3_overlay_s
- shutdown : tls_plugin_s
- si : demux_ogg_s, qt_trak
- side : opengl2_driver_t
- side_have_streams : mpd_input_plugin_s
- side_index : mpd_input_plugin_s
- side_streams : xine_stream_private_st
- signature : demux_tta_t
- SineTable : fft_s
- sink : pulse_driver_s
- sintable : _PLUGIN_INFO
- size : _Block, _cfg_cb_relay_t, _CMediaSample, _GSL_Struct, _PLUGIN_INFO::_SIZE_TYPE, aom_decoder_s, bitplane_decoder_s, buf_element_s, chunk_header_t, dav1d_decoder_s, DCtab, dec_data, demux_flv_t, dvaudio_decoder_s, faad_decoder_s, ff_audio_decoder_s, ff_video_decoder_s, fifo_buffer_s, file_input_plugin_t, flac_seekpoint_t, fooaudio_decoder_s, foovideo_decoder_s, gsm610_decoder_s, hevc_decoder_s, hls_input_plugin_t, id3v22_frame_header_t, id3v23_frame_ext_header_t, id3v23_frame_header_t, id3v24_frame_ext_header_t, id3v24_frame_header_t, id3v2_header_t, mpc_decoder_s, mpg_audio_frame_t, osd_font_s, qt_frame, rgb_decoder_s, rmff_cont_t, rmff_data_t, rmff_fileheader_t, rmff_mdpr_t, rmff_prop_t, spu_encoder_s, vcdplayer_play_item_info_t, vdpau_output_surface_t, vorbis_decoder_s, vpx_decoder_s, w32a_decoder_s, w32v_decoder_s, win32_frame_t, xine_array_s, xine_buffer_header_t, xine_list_s, xine_mrl_s, xine_post_api_parameter_t, xine_ring_buffer_chunk_s, xine_sarray_s, xine_stream_private_st, xx44_palette_t, yuv_decoder_s
- size_of_each_array : _GOOM_HEAP
- size_uk : bitplane_decoder_s
- sizex : grid3d
- sizez : grid3d
- skip : asf_demux_stream_t
- Skip : IEnumDMO_vt, IEnumMediaTypes_vt, IEnumPins_vt
- skip : post_mosaico_s
- skip_chroma : vdpau_driver_t
- skip_chroma_is_supported : vdpau_driver_t
- skip_count : dxr3_decoder_s
- skip_for_track : demux_matroska_t
- skip_frame : post_plugin_goom_s
- skip_loop_filter_enum : ff_video_class_s
- skip_mode : bluray_input_class_t
- skip_non_intra_dct : picture_s
- skip_to_timecode : demux_matroska_t
- skip_vpts : post_mosaico_s
- skipframes : bitplane_decoder_s, ff_video_decoder_s, foovideo_decoder_s, rgb_decoder_s, theora_decoder_s, w32v_decoder_s, yuv_decoder_s
- skipped : picture_t
- skipped_frames : xine_dropped_frames_t
- skipped_threshold : xine_dropped_frames_t
- SL_IID_myBUFFERQUEUE : opensles_driver_s
- SL_IID_PLAY : opensles_driver_s
- SL_IID_VOLUME : opensles_driver_s
- slave : xine_stream_s
- slave_affection : xine_stream_private_st
- slave_is_subtitle : xine_stream_private_st
- slave_started : spucmml_decoder_s
- slc : nal_unit
- slc_nal : coded_picture
- sleep : xine_xxmc_s
- slice_cnt : coded_picture
- slice_code : xine_xxmc_s
- slice_count : vdec_hw_h264_frame_info_s
- slice_data : xine_xxmc_s
- slice_data_size : xine_xxmc_s
- slice_group_change_direction_flag : pic_parameter_set_rbsp, vdec_hw_h264_pps_t
- slice_group_change_rate_minus1 : pic_parameter_set_rbsp, vdec_hw_h264_pps_t
- slice_group_id : pic_parameter_set_rbsp
- slice_group_map_type : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- slice_groups : vdec_hw_h264_pps_t
- slice_height : yuv2rgb_impl_s
- slice_mode : vdec_hw_h264_sequence_t
- slice_offset : yuv2rgb_impl_s
- slice_offset_pos : ff_video_decoder_s
- slice_offset_size : ff_video_decoder_s
- slice_offset_table : ff_video_decoder_s
- slice_stride : mpeg2_decoder_s
- slice_type : slice_header, vdec_hw_h264_lps_t
- slice_uv_stride : mpeg2_decoder_s
- slices : picture_t, xvmc_macroblocks_t
- slices_bitstream : vdec_hw_h264_frame_info_s, vdec_hw_h264_sequence_t
- slices_bytes : vdec_hw_h264_frame_info_s, vdec_hw_h264_sequence_t
- slices_count : picture_t, vdec_hw_h264_sequence_t
- slices_count2 : picture_t
- slices_per_row : mpeg2dec_accel_t
- slices_pos : picture_t
- slices_pos_top : picture_t
- slices_size : picture_t
- slider_length : vcd_input_class_s, vcdplayer_s
- slist : _PARAM
- small_font_chars : goomfont_s
- small_font_height : goomfont_s
- small_font_width : goomfont_s
- small_gap : aos_t
- smax : tdaan_leveller_t
- soft_image_is_bound : vaapi_driver_s
- soft_surface : vdpau_driver_t
- soft_surface_format : vdpau_driver_t
- soft_surface_height : vdpau_driver_t
- soft_surface_width : vdpau_driver_t
- song_number : nsf_decoder_s
- sorted_entries : sparse_array_t
- sound : _PLUGIN_INFO, fusionsound_driver_s
- SoundConverterBeginConversion : qta_decoder_s
- SoundConverterClose : qta_decoder_s
- SoundConverterConvertBuffer : qta_decoder_s
- SoundConverterEndConversion : qta_decoder_s
- SoundConverterGetBufferSizes : qta_decoder_s
- SoundConverterOpen : qta_decoder_s
- SoundConverterSetInfo : qta_decoder_s
- source : buf_element_s, dvd_input_saved_buf_u
- source_height : yuv2rgb_impl_s
- source_id : esd_driver_s
- source_width : yuv2rgb_impl_s
- spare : cdsector_t, xine_mrl_reference_data_ext_t, xine_set_mpeg_data_t, xine_set_v4l2_data_t
- special_info : plugin_info_t
- speed : aos_t, cdda_input_class_t, demux_fli_t
- Speed : Fractal_Struct
- speed : metronom_clock_s, vos_t
- speed_before_pause : pvr_input_plugin_t
- speed_change : xine_nbc_st
- speed_change_callbacks : metronom_clock_private_t
- speed_change_data : metronom_clock_private_t
- speed_change_done : xine_private_t
- speed_change_flags : xine_private_t
- speed_change_lock : xine_private_t
- speed_change_new_live : xine_private_t
- speed_change_new_speed : xine_private_t
- speed_change_used : metronom_clock_private_t
- speed_factor : pvrscr_s, stretchscr_s
- speed_factor_1 : unixscr_values_t
- speed_factor_2 : unixscr_values_t
- speed_p : _SOUND_INFO
- speed_tuning : pvrscr_s
- speed_tunning : pvrscr_s
- speed_val : xine_nbc_st
- speedvar : _SOUND_INFO
- spic_layer : directfb_driver_s
- spic_surface : directfb_driver_s
- sprite_enable : picture_t
- sprt : demux_iff_t
- sps : nal_unit, real_stream_t, realdec_decoder_s, vdec_hw_h264_sequence_t
- sps_buffer : h264_parser
- sps_id : vdec_hw_h264_pps_t, vdec_hw_h264_sps_t
- sps_nal : coded_picture
- spu : metronom_impl_t
- spu_channel : xine_stream_s
- spu_channel_auto : xine_stream_s
- spu_channel_letterbox : xine_stream_s
- spu_channel_pan_scan : xine_stream_private_st
- spu_channel_user : xine_stream_s
- spu_class : spucc_class_s
- spu_ctrl : dxr3_spu_stream_state_s
- spu_cvd : demux_mpeg_s
- spu_decoder : dvb_spu_decoder_s, dxr3_spudec_s, spucc_decoder_s, spucmml_decoder_s, spudec_decoder_s, spuhdmv_decoder_s, sputext_decoder_s
- spu_decoder_class : dxr3_spudec_class_s
- spu_decoder_map : plugin_catalog_s
- spu_decoder_plugin : xine_stream_s
- spu_decoder_streamtype : xine_stream_s
- spu_descriptor : dvb_spu_decoder_s
- spu_device_lock : dxr3_driver_s
- spu_dvd : demux_mpeg_s
- spu_enc : dxr3_driver_s
- spu_encoding : lang_locale_t
- spu_end : dxr3_spu_stream_state_s
- spu_langs : demux_ts_t
- spu_langs_count : demux_ts_t
- spu_length : dxr3_spu_stream_state_s
- spu_media_index : demux_ts_t
- spu_palette : sputext_decoder_s
- spu_pid : demux_ts_t
- spu_stream_state : dxr3_spudec_s
- spu_svcd : demux_mpeg_s
- spu_track_map_entries : xine_stream_private_st
- spu_trans : sputext_decoder_s
- spu_type : demux_ts_media
- spudec_stream_state : spudec_decoder_s
- sqrtperte : _ZOOM_FILTER_DATA
- squaresum : tdaan_leveller_t
- src_encoding : spucmml_class_s, sputext_class_s
- src_height : mmal_overlay_s
- src_pitch : mmal_overlay_s
- src_rect : mmal_overlay_s
- src_width : mmal_overlay_s
- srcstream : w32a_decoder_s
- ssl : tls_openssl_t
- St : Similitude_Struct
- st : speex_decoder_s
- St2 : Similitude_Struct
- stability : dxr3_overlay_s
- standard_id : xine_set_v4l2_data_t
- star_fx : _PLUGIN_INFO
- stars : _FS_DATA
- Start : _DS_Filter
- start : bits_reader_t, buffer_data, CcrtChunk, demux_flv_t, ebml_elem_s, mpeg2_convert_init_s, scr_plugin_s, sequence_t, subtitle_t, trackinfo_t
- start_buffers_sent : xine_stream_private_st
- start_delay : xing_header_t
- start_fbuf : vo_instance_s
- start_LSN : vcdplayer_play_item_info_t
- start_offset : demux_ac3_t
- start_padding : mad_decoder_s
- start_pts : chapter_entry_s, demux_ogg_s
- start_time : asf_stream_extension_s, esd_driver_s, mdpr_t, mms_s, mmsh_s, oss_driver_s, pvr_input_plugin_t, rmff_mdpr_t, rtsp_session_s, sdpplin_stream_t, v4l_input_plugin_t, xine_mrl_reference_data_ext_t
- started : demux_mng_t, sputext_decoder_s
- startpos1 : demux_real_t
- startpos2 : demux_real_t
- starttime : epg_entry_t
- startup_frame : vdec_hw_h264_sequence_t
- startup_phase : vdr_input_plugin_s
- state : composition_descriptor_s, ff_video_decoder_s, file_input_plugin_t, mpeg2dec_s, sha160_t, spudec_decoder_s, spudec_stream_state_s, xine_nbc_st, xshm_frame_t
- states : _PLUGIN_INFO
- stateSelectionBlocker : _PLUGIN_INFO
- stateSelectionRnd : _PLUGIN_INFO
- statesNumber : _PLUGIN_INFO
- statesRangeMax : _PLUGIN_INFO
- stats : vdec_hw_h264_s, xine_nbc_st
- status : avformat_demux_plugin_t, demux_aac_t, demux_ac3_t, demux_aiff_t, demux_asf_s, demux_aud_t, demux_avi_s, demux_cdda_t, demux_dts_t, demux_eawve_t, demux_film_t, demux_flac_s, demux_flac_t, demux_fli_t, demux_flv_t, demux_fourxm_t, demux_idcin_t, demux_iff_t, demux_image_s, demux_ipmovie_t, demux_ivf_t, demux_matroska_t, demux_mng_t, demux_mod_t, demux_mpc_t, demux_mpeg_block_s, demux_mpeg_elem_t, demux_mpeg_pes_s, demux_mpeg_s, demux_mpgaudio_t, demux_mve_t, demux_nsf_t, demux_nsv_t, demux_ogg_s, demux_playlist_t, demux_pva_t, demux_qt_t, demux_ra_t, demux_raw_dv_t, demux_real_t, demux_roq_t, demux_shn_t, demux_slave_t, demux_smjpeg_t, demux_snd_t, demux_sputext_t, demux_str_t, demux_ts_t, demux_tta_t, demux_vc1_es_t, demux_vmd_t, demux_voc_t, demux_vox_t, demux_vqa_t, demux_wav_t, demux_wv_t, demux_yuv4mpeg2_t, demux_yuv_frames_s, dx2_driver_t, ff_vaapi_surface_s, http_input_plugin_t, xine_audio_port_s, xine_health_check_s, xine_stream_private_st, xine_video_port_s
- stdindex : _avisuperindex_chunk
- step : aos_t, FloatVal, IntVal, vos_t
- step_dx : yuv2rgb_impl_s
- step_dy : yuv2rgb_impl_s
- step_mutex : aos_t
- stereo : speex_decoder_s
- still_end_time : bluray_input_plugin_t
- Stop : _DS_Filter, IBaseFilter_vt
- stop_lines : _PLUGIN_INFO
- str : _NODE_TYPE, asmrp_t, mmsh_s, xine_ui_data_t
- str_default : cfg_entry_s, xine_cfg_entry_s
- str_len : xine_ui_data_t
- str_value : cfg_entry_s, xine_cfg_entry_s
- stream : a52dec_decoder_s, aom_decoder_s, audio_buffer_s, avformat_demux_plugin_t, avio_input_plugin_t, bitplane_decoder_s, bluray_input_plugin_t, broadcaster_s, cache_input_plugin_t, cdda_input_plugin_t, crypto_input_plugin_t, dav1d_decoder_s, demux_aac_t, demux_ac3_t, demux_aiff_t, demux_asf_s, demux_aud_t, demux_avi_s, demux_cdda_t, demux_dts_t, demux_eawve_t, demux_film_t, demux_flac_s, demux_flac_t, demux_fli_t, demux_flv_t, demux_fourxm_t, demux_idcin_t, demux_iff_t, demux_image_s, demux_ipmovie_t, demux_ivf_t, demux_matroska_t, demux_mng_t, demux_mod_t, demux_mpc_t, demux_mpeg_block_s, demux_mpeg_elem_t, demux_mpeg_pes_s, demux_mpeg_s, demux_mpgaudio_t, demux_mve_t, demux_nsf_t, demux_nsv_t, demux_ogg_s, demux_playlist_t, demux_pva_t, demux_qt_t, demux_ra_t, demux_raw_dv_t, demux_real_t, demux_roq_t, demux_shn_t, demux_slave_t, demux_smjpeg_t, demux_snd_t, demux_sputext_t, demux_str_t, demux_ts_t, demux_tta_t, demux_vc1_es_t, demux_vmd_t, demux_voc_t, demux_vox_t, demux_vqa_t, demux_wav_t, demux_wv_t, demux_yuv4mpeg2_t, demux_yuv_frames_s, dts_decoder_t, dvaudio_decoder_s, dvb_input_plugin_t, dvb_spu_decoder_s, dvd_input_plugin_s, dxr3_decoder_s, dxr3_spudec_s, faad_decoder_s, ff_audio_decoder_s, ff_video_decoder_s, file_input_plugin_t, flac_decoder_s, fooaudio_decoder_s, foovideo_decoder_s, ftp_input_plugin_t, fusionsound_driver_s, gnomevfs_input_t, gsm610_decoder_s, hevc_decoder_s, hls_input_plugin_t, http_input_plugin_t, image_decoder_s, jpeg_decoder_s, lpcm_decoder_s, mad_decoder_s, mmal_decoder_s, mms_input_plugin_t, mms_s, mmsh_s, mpc_decoder_s, mpd_input_plugin_s, mpeg2_video_decoder_s, mpeg2dec_decoder_s, mpeg2dec_s, net_input_plugin_t, nfs_input_plugin_t, nsf_decoder_s, osd_renderer_s, png_decoder_s, pnm_input_plugin_t, pnm_s, post_audio_port_s, post_video_port_s, pulse_driver_s, pvr_input_plugin_t, qta_decoder_s, qtv_decoder_s, realdec_decoder_s, rgb_decoder_s, rip_input_plugin_s, rtp_input_plugin_t, rtsp_input_plugin_t, rtsp_s, sdpplin_t, smb_input_t, speex_decoder_s, spucc_decoder_s, spucmml_decoder_s, spudec_decoder_s, spuhdmv_decoder_s, sputext_decoder_s, ssh_input_plugin_t, stdin_input_plugin_t, test_input_plugin_t, theora_decoder_s, tls_gnutls_t, tls_openssl_t, tls_plugin_params_t, v4l2_input_plugin_t, v4l_input_plugin_t, vcd_input_plugin_s, vcd_input_plugin_t, vdpau_h264_alter_decoder_t, vdpau_h264_decoder_s, vdpau_mpeg12_decoder_s, vdpau_mpeg4_decoder_s, vdpau_vc1_decoder_s, vdr_input_plugin_s, vf_alias_t, vo_frame_s, vorbis_decoder_s, vpx_decoder_s, w32a_decoder_s, w32v_decoder_s, wavpack_decoder_t, xine_event_queue_s, xine_event_t, xine_nbc_st, xine_tls, yuv_decoder_s
- stream_br : xine_nbc_fifo_info_t
- stream_count : asf_header_s, sdpplin_t
- stream_extensions : asf_header_s
- stream_external : vdr_input_plugin_s
- stream_flushed : bluray_input_plugin_t
- stream_frames : vbri_header_t, xing_header_t
- stream_id : asf_demux_stream_t, demux_mpeg_block_s, demux_mpeg_pes_s, sdpplin_stream_t, w32v_decoder_s
- stream_info : xine_stream_private_st
- stream_len : demux_fli_t
- stream_length : demux_mpgaudio_t
- stream_metronom : vdr_metronom_t
- stream_name : mdpr_t, rmff_mdpr_t, sdpplin_stream_t
- stream_name_count : asf_stream_extension_s
- stream_name_size : mdpr_t, rmff_mdpr_t, sdpplin_stream_t
- stream_names : asf_stream_extension_s
- stream_number : asf_stream_s, mdpr_t, rmff_mdpr_t, rmff_pheader_t
- stream_reset_done : bluray_input_plugin_t
- stream_size : vbri_header_t, xing_header_t
- stream_type : asf_stream_s, ivtv_ioctl_codec, mmsh_s
- streaminfo : demux_flac_t, mpc_decoder_s
- streaming : demux_avi_s
- streams : aos_t, asf_header_s, demux_asf_s, mpd_input_plugin_s, rmff_header_t, vos_t, xine_s
- streams_default : aos_t, vos_t
- streams_lock : aos_t, vos_t, xine_s
- streams_size : aos_t, vos_t
- strength : noise_param_t
- stretch_factor : stretchscr_s
- stride : mpeg2_decoder_s
- stride_frame : mpeg2_decoder_s
- stripe_dst : pgx32_frame_t
- stripe_lengths : pgx64_frame_t
- stripe_offsets : pgx64_frame_t
- struct_size : xine_post_api_descr_t
- structIDS : _GoomSL
- strValue : YYSTYPE
- stsd_atoms : qt_trak
- stsd_atoms_count : qt_trak
- sub_max_height : xvmc_capabilities_t
- sub_max_width : xvmc_capabilities_t
- sub_packet_cnt : real_stream_t
- sub_track : demux_matroska_t, matroska_track_s
- sub_type : xine_module_info_t
- subFilterParams : tuner_t
- subformat : rv_init_t
- subheader : cdsector_t
- subImage : xxmc_driver_s
- subInUse : xvmc_surface_handler_s
- subpacket_size : ra_init_t
- subpictures : xvmc_surface_handler_s
- subPicType : xvmc_capabilities_t
- subpid : channel_t
- subShmInfo : xxmc_driver_s
- subtitle_size : spucmml_decoder_s, sputext_class_s, sputext_decoder_s
- subtitles : demux_sputext_t
- subtype : _ct
- subValid : xvmc_surface_handler_s
- sumpts : w32a_decoder_s
- sumsize : w32a_decoder_s
- support_zoom : vo_scale_s
- supported_channels : alsa_driver_s::_alsa_dev_info_s, alsa_driver_s
- supported_formats : raw_visual_t
- supported_types : decoder_info_t, fat_node_st
- supports_yv12 : vidix_driver_s
- sure_type : demux_ts_media
- surf : grid3d
- surface : directfb_driver_s, directfb_frame_s, sdl_driver_s, stk_driver_s, vdpau_accel_t, vdpau_output_surface_t, xine_egl_t, xine_wayland_visual_t
- surface_cleared_nr : vdpau_driver_t, vdpau_frame_t
- surfaces : xvmc_surface_handler_s
- surfaces_lock : vaapi_context_impl
- surfInUse : xvmc_surface_handler_s
- surfValid : xvmc_surface_handler_s
- sval : _PARAM
- svertex : surf3d
- sw_height : vaapi_driver_s
- sw_params : alsa_driver_s
- sw_width : vaapi_driver_s
- swap_buffers : xine_gl
- swap_fields : dxr3_driver_s, dxr3_frame_s
- swap_uv_planes : vaapi_driver_s
- swapped : yuv2rgb_factory_impl_s, yuv2rgb_impl_s
- switchIncr : _PLUGIN_INFO
- switchIncrAmount : _PLUGIN_INFO
- switchMult : _PLUGIN_INFO
- switchMultAmount : _PLUGIN_INFO
- swvolume : pulse_driver_s
- sx1 : opengl2_draw_info_t
- sx2 : opengl2_draw_info_t
- sy1 : opengl2_draw_info_t
- sy2 : opengl2_draw_info_t
- sym : asmrp_t
- sym_tab : asmrp_t
- sym_tab_num : asmrp_t
- sync : cdsector_t, dxr3_scr_s, mpd_input_plugin_s
- sync_every_frame : dxr3_decoder_s
- sync_method : oss_driver_s
- sync_retry : dxr3_decoder_s
- sync_sample_count : qt_trak
- sync_sample_table : qt_trak
- sync_state : dts_decoder_t, xine_a52_parser_t
- sync_thread_state : metronom_clock_private_t
- syncdword : dts_decoder_t
- syncword : xine_a52_parser_t
- synth : mad_decoder_s